
QGIS Application - Bug report #12242

Zoom out 

2015-02-23 02:45 PM - Mike Murfin

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20427

Description

The zoom out feature zooms in when clicking and dragging over a feature. A single click zooms out as expected.

Associated revisions

Revision 935f4608 - 2015-02-25 12:05 PM - Nyall Dawson

Fix zoom out map tool (fix #12242)

Revision d55de83b - 2015-02-25 06:52 PM - Nyall Dawson

Fix zoom out map tool (fix #12242)

History

#1 - 2015-02-23 02:49 PM - Giovanni Manghi

- Category changed from Browser to Map Canvas

- OS version deleted (Debian Jessie)

- Operating System deleted (Linux)

- Target version changed from Version 2.8 to Version 2.8.1

- Priority changed from Normal to Severe/Regression

Confirmed, was ok on 2.6.1.

#2 - 2015-02-25 12:33 AM - Sandro Santilli

Confirmed. PR https://github.com/qgis/QGIS/pull/1927 fixes it, needs an automated testcase to ensure no more future regressions.

#3 - 2015-02-25 03:44 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"935f46080b978533c3c9967e7d3b243be19fad27".

#4 - 2015-02-25 04:00 AM - Sandro Santilli
https://github.com/qgis/QGIS/pull/1927


- Status changed from Closed to Reopened

I've filed #12265 for the test side of this.

The fix should be backported to the 2.8 branch. Having a test there would be much safer.

(reopened as it's not backported yet)

#5 - 2015-02-25 09:57 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"d55de83bc4966665a5bec6325ad0f27d7f4a1ab8".
